# frozen_string_literal: true

module Lexy
  class CLI < Thor
    desc 'find_spec_file /full/path/to/file.rb', 'Returns spec file path. Creates a new spec unless it exists'
    def find_spec_file(path)
      result = Lexy::SpecFinder.new.call(path)

      puts result
    end

    def self.exit_on_failure?
      false
    end
  end
end
